% Estimate of rho

% All the variables are in differences with respect to the individual mean
% Uses formula where x1 has been partialled-out

% rho = (mean_{i,t} y_{it} mills_{it} * mean_{it} x1_{it}^{2} -
% mean_{i,1} x1_{it} mills_{it} * mean_{i,1} y_{it} x1_{it}) / 
%(mean_{i,t} x1_{it}^{2} * mean_{it} mills_{it}^{2} -
% (mean_{i,1} x1_{it} mills_{it})^{2} )

function RHO = rho_ols(y,x1,mills,mills2)

RHO = (mean(y .* mills)*mean(x1 .^2)  - mean(x1 .* mills)*mean(y .* x1)) / (mean(x1 .^ 2)*mean(mills2) - (mean(x1 .* mills)^2));