% Variance of gamma = (theta, rho, alpha_{1}) for MLE (without adjustment
% for estimated regressors)
function VAR = vc_gamma(epsilon,dX1)

Omega = diag(diag(epsilon * epsilon'));
VAR = inv(dX1' * dX1) * (dX1' * Omega * dX1) * inv(dX1' * dX1);