% Jacobian to transform variance of parameters to original parametrization

function J = jacobian(d)

P  = size(d,1) - 1;
h  = d(1,1);
theta = reparametrize(d);
J  = [-(1/h)*theta';
    zeros(P,1), (1/h)*eye(P)]';



