% Variance of alpha (based on MLE)

% in HN notation
% sigma2_alpha = (mean_{t} v_{it}^{2})^{-1}

function SIGMA2 = sigma2_alpha_tobit_mle(y,x,d,index)

D = dummyvar(index);
t = mean(sum(D));

pit   = phi_alpha_tobit_mle(y,x,d,index);

pis = reshape(pit,t,n);
pis = [zeros(1,n) ; pis(1:(t-1),:)];
pis = (t/(t-1))*reshape(pis,t*n,1);


SIGMA2    = (1/t)*D'*(pit.^2 +  pit .* pis);
