% Variance of alpha (based on MLE + taking conditional expectations wrt x)

function SIGMA2 = sigma2_alpha_probit_mle2(y,x,d,index)

D = dummyvar(index);
t = mean(sum(D));

dy = real(y > 0);
h = d(1,1);
delta = d(2:size(d,1),1);
mu = x*delta;
lambdabar = mills_prob(-mu);

vit   = dy .* (h*y - mu) - (1 - dy) .* lambdabar ;
vita   = - normcdf(mu) + (1 - normcdf(mu)) .* dmills_prob(-mu);

pit   = phi_alpha_tobit_mle2(y,x,d,index);

pis = reshape(pit,t,n);
pis = [zeros(1,n) ; pis(1:(t-1),:)];
pis = (t/(t-1))*reshape(pis,t*n,1);


SIGMA2    = - t ./ (D' * vita) + (1/t)*D'*(pit .* pis);
